aboutsummaryrefslogtreecommitdiffstats
path: root/meta/recipes-devtools/insserv/files
diff options
context:
space:
mode:
authorChong Lu <Chong.Lu@windriver.com>2014-02-20 18:55:10 +0800
committerSaul Wold <sgw@linux.intel.com>2014-02-20 20:06:23 -0800
commit5bb786241907bb0304edb25ac1d398b3ae7f3be0 (patch)
tree20be7ec22e54f286f9ca3c12a33842a6b6cc9d89 /meta/recipes-devtools/insserv/files
parentc885365107cc31ba2eff94cfae4f09813ac53a97 (diff)
downloadopenembedded-core-5bb786241907bb0304edb25ac1d398b3ae7f3be0.tar.gz
insserv: enable ptest support
Install insserv test suite and run it as ptest. Signed-off-by: Chong Lu <Chong.Lu@windriver.com> Signed-off-by: Saul Wold <sgw@linux.intel.com>
Diffstat (limited to 'meta/recipes-devtools/insserv/files')
-rw-r--r--meta/recipes-devtools/insserv/files/run-ptest17
1 files changed, 17 insertions, 0 deletions
diff --git a/meta/recipes-devtools/insserv/files/run-ptest b/meta/recipes-devtools/insserv/files/run-ptest
new file mode 100644
index 0000000000..495d1551c2
--- /dev/null
+++ b/meta/recipes-devtools/insserv/files/run-ptest
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+basedir=$(dirname $0)
+. $basedir/common
+
+output() {
+ if [ $? -eq 0 ]; \
+ then echo "PASS: $i"; \
+ else echo "FAIL: $i"; \
+ fi;
+}
+
+for i in test_simple_sequence test_undetected_loop; \
+ do $i &>/dev/null ; output; \
+done
+
+rm -rf ${tmpdir}